MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027461Community[OCCT] PRODUCTS:Release BUILDpublic2016-05-04 12:362016-12-09 16:30
ReporterDrStS 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformKubuntu 14.04 x86_64OSDebian 6.0OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027461: wrong flag for static linking under linux results in error
DescriptionLine 109 in occt_def_flag.cmake is setting -lm for static linking on Linux:

set (CMAKE_STATIC_LINKER_FLAGS "-lm ${CMAKE_SHARED_STATIC_FLAGS}")

--> This results in an error message during static linking using ar

==> /usr/bin/ar two different operation options specified
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0053792)
abv (manager)
2016-05-04 12:59

This should be already fixed in current master (see commit for issue 0027380, hash cd9ad1b77). Please try.
(0060567)
kgv (developer)
2016-11-19 09:12

Dear bugmaster,

please close the bug as no more relevant.

- Issue History
Date Modified Username Field Change
2016-05-04 12:36 DrStS New Issue
2016-05-04 12:36 DrStS Assigned To => bugmaster
2016-05-04 12:57 abv Relationship added related to 0027380
2016-05-04 12:59 abv Note Added: 0053792
2016-05-04 12:59 abv Assigned To bugmaster => DrStS
2016-05-04 12:59 abv Status new => feedback
2016-11-19 09:12 kgv Note Added: 0060567
2016-11-19 09:12 kgv Assigned To DrStS => bugmaster
2016-11-19 09:12 kgv Resolution open => no change required
2016-11-22 09:38 abv Fixed in Version => 7.1.0
2016-11-22 09:38 abv Target Version => 7.1.0
2016-11-23 12:28 apn Test case number => Not needed
2016-11-23 12:28 apn Status feedback => tested
2016-11-23 12:28 apn Resolution no change required => fixed
2016-11-23 12:28 apn Status tested => verified
2016-12-09 16:30 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker